apt: pkgOrderList Class Reference

apt 3.3.2 commandline package manager

Public Types | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
pkgOrderList Class Reference
Inheritance diagram for pkgOrderList:

## Public Types
enum | Flags { Added = (1 << 0) , AddPending = (1 << 1) , Immediate = (1 << 2) , Loop = (1 << 3) , UnPacked = (1 << 4) , Configured = (1 << 5) , Removed = (1 << 6) , InList = (1 << 7) , After = (1 << 8) , States = (UnPacked | Configured | Removed) }
typedef Package ** | iterator

## Public Member Functions
bool | IsFlag (PkgIterator Pkg, unsigned long F)
bool | IsFlag (Package *Pkg, unsigned long F)
void | Flag (PkgIterator Pkg, unsigned long State, unsigned long F)
void | Flag (PkgIterator Pkg, unsigned long F)
void | Flag (Package *Pkg, unsigned long F)
void | RmFlag (Package *Pkg, unsigned long F)
bool | IsNow (PkgIterator Pkg)
bool | IsMissing (PkgIterator Pkg) APT_PURE
void | WipeFlags (unsigned long F)
void | SetFileList (std::string *FileList)
iterator | begin ()
iterator | end ()
void | push_back (Package *Pkg)
void | push_back (PkgIterator Pkg)
void | pop_back ()
bool | empty ()
unsigned int | size ()
bool | OrderCritical ()
bool | OrderUnpack (std::string *FileList=0)
bool | OrderConfigure ()
int | Score (PkgIterator Pkg)
| pkgOrderList (pkgDepCache *Cache)

## Protected Types
typedef bool(pkgOrderList::* | DepFunc) (DepIterator D)
Protected Types inherited from pkgCache::Namespace
typedef pkgCache::GrpIterator | GrpIterator
typedef pkgCache::PkgIterator | PkgIterator
typedef pkgCache::VerIterator | VerIterator
typedef pkgCache::SrcVerIterator | SrcVerIterator
typedef pkgCache::DescIterator | DescIterator
typedef pkgCache::DepIterator | DepIterator
typedef pkgCache::PrvIterator | PrvIterator
typedef pkgCache::RlsFileIterator | RlsFileIterator
typedef pkgCache::PkgFileIterator | PkgFileIterator
typedef pkgCache::VerFileIterator | VerFileIterator
typedef pkgCache::Version | Version
typedef pkgCache::Description | Description
typedef pkgCache::Package | Package
typedef pkgCache::Header | Header
typedef pkgCache::Dep | Dep
typedef pkgCache::Flag | Flag

## Protected Member Functions
bool | VisitNode (PkgIterator Pkg, char const *from)
bool | VisitDeps (DepFunc F, PkgIterator Pkg)
bool | VisitRDeps (DepFunc F, PkgIterator Pkg)
bool | VisitRProvides (DepFunc F, VerIterator Ver)
bool | VisitProvides (DepIterator Pkg, bool Critical)
bool | DepUnPackCrit (DepIterator D)
bool | DepUnPackPreD (DepIterator D)
bool | DepUnPackPre (DepIterator D)
bool | DepUnPackDep (DepIterator D)
bool | DepConfigure (DepIterator D)
bool | DepRemove (DepIterator D)
bool | AddLoop (DepIterator D)
bool | CheckDep (DepIterator D)
bool | DoRun ()
int | OrderCompareA (Package *a, Package *b) APT_PURE
int | OrderCompareB (Package *a, Package *b) APT_PURE
int | FileCmp (PkgIterator A, PkgIterator B) APT_PURE

## Protected Attributes
pkgDepCache & | Cache
DepFunc | Primary
DepFunc | Secondary
DepFunc | RevDepends
DepFunc | Remove
Package ** | End
Package ** | List
Package ** | AfterEnd
std::string * | FileList
DepIterator | Loops [20]
int | LoopCount
int | Depth
unsigned short * | Flags
bool | Debug

The documentation for this class was generated from the following files:

- apt-pkg/orderlist.h
- apt-pkg/orderlist.cc